# -*- Makefile -*-
# This file contains all the variable modifications extensions required
# for the AUTONOMY project. It will be applied to all the modules during
# compilation.

# define AUTONOMY to allow #ifdef AUTONOMY in the code

CFLAGS := $(CFLAGS) -Wc,-ei
CPPFLAGS := $(CPPFLAGS) -WC,-ei

ifeq ($(AUTONOMY), 1)
CFLAGS := $(CFLAGS) -DAUTONOMY
CPPFLAGS := $(CPPFLAGS) -DAUTONOMY
endif

CXXFLAGS := $(CXXFLAGS) $(CPPFLAGS) 